!13 May 12:20 last modif
!This program is intended to calculate the core level chemical shifts "Initial shifts" for 
!any given core level of one chosen atom. Calculating the matrix 
!elements of <Psi|V|Psi> where V is the hartree, exchange and correlation potentials
!created by the valence electrons in a pseudopotential calculation.
!And following the Physical Review B,Vol 50,N 11 by X.Blase et al.

! The spin part is done supposing we have no crossed terms of L+S, 
!obtaining two energies, one that corresponds to <PSIUP|VUP|PSIUP> and the second one to <PSIDOWN|VDOWN|PSIDOWN> 

! WRITTEN BY P.ORDEJON AND S.GARCIA-GIL JANUARY  2009
! FROM gridcube.f (P.Ordejon), grid2val.f (A. Garcia) and some abinit 5.6.4 subroutines
! *********** INPUT ***************************************************
! The program needs 
!  1)input file
!      --- begin input file ---
!        SIESTA
!        anat96Ns_01
!        68
!        2
!        px
!        AEWFNR1
!        AEWFNR1.1
!        1 2 1
!    --- end input file ---
!     -the first line selects whether is a Siesta or Abinit calculation
!     -the second line is the label of the system, as in SIESTA system label,
!     files will be searched as systemlabel.*  (in the example above sih4.xyz and sih4.VT)
!     -the third line is the number of the atom in which we are interested (as readed by siesta, and appear in the xyz file) (atom 68 in the example)
!     -the fourth line denotes if the system is spin is spin polarized (2) or not (1) 
!     -the fith line indicates one of the (2l+1) values of l in which the integral is calculated, it can take the following values: s, px,py,pz,dz2,dxz,dyz,dx2-y2,dxy
!     -the sixth/seventh line first and second components of the all electron wavefunctions ,leave equal if we have just one component.
!     -the eigth line: three INTEGERS that will give a factor to interpolate the potential 
!throught the three spatial directions, in the example 1 2 1 (multiplies the grid x 2 along the "y" axes) 
!  2)System Label xyz file
!  3)System Label VT file
!  4)All Electron wavefunctions for the core level.One file for each spin component. In the example above 'AEWFNR1' and 'AEWFNR1.1'
!  
! *********** OUTPUT **************************************************
!TWO FILES:
! "Results.dat": matrix elements of <Psi|V|Psi> 
! "log.file": log of the calculation, errors,... 
 !*********** UNITS ***************************************************
! SIESTA units: Ry, Bohr
! xyz file in Angst
